cURL
curl --request PUT \ --url https://api.simplicity.ai/v1/documents/{document_id} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "original_filename": "<string>", "metadata": { "title": "<string>", "keywords": [ "<string>" ] } } '
{ "form_id": "<string>", "form_name": "<string>", "original_form_name": "<string>", "updated_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "form_description": "<string>", "form_title": "<string>", "form_url": "<string>", "last_filled_at": "2023-11-07T05:31:56Z", "file_size": 123, "fillable_field_count": 123, "source_document_details": [ { "file_key": "<string>", "external_document_id": "<string>", "document_id": "<string>", "extension": "<string>", "original_filename": "<string>", "metadata": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] }
Update the details or contents of an existing document.
The original filename of the document
The metadata of the document
Show child attributes
Successful Response